{
  inputs,
  outputs,
  lib,
  config,
  pkgs,
  ...
}: {
    environment.systemPackages = with pkgs; [ 

        # code
        cargo rustc # Rust
        jetbrains.rider
        jetbrains.pycharm-professional
        vim
        python3
        lua
        git
       # (vscode-with-extensions.override {
        #    vscodeExtensions = with vscode-extensions; [
        #    dracula-theme.theme-dracula
        #    yzhang.markdown-all-in-one
        #    rust-lang.rust-analyzer
        #   # dependi
            # jscearcy.rust-doc-viewer
            #  swellaby.vscode-rust-test-adapter
        #    tamasfe.even-better-toml
        #    ms-vsliveshare.vsliveshare
        #    aaron-bond.better-comments
        #    bbenoist.nix
        #    vue.volar
        #    ] ++ pkgs.vscode-utils.extensionsFromVscodeMarketplace [
        #    {
        #        name = "remote-ssh-edit";
        #        publisher = "ms-vscode-remote";
        #        version = "0.47.2";
        #        sha256 = "1hp6gjh4xp2m1xlm1jsdzxw9d8frkiidhph6nvl24d0h8z34w49g";
        #    }
        #    ];
        #})
        vscode.fhs
        blockbench
        # other
        discord
        nodejs_22
        # sys utils
        gnupg ffmpeg unzip 
        mpv gparted
    ];

    services.postgresql = {
        enable = true;
        ensureDatabases = [ "test" ];
        authentication = pkgs.lib.mkOverride 10 ''
        #type database  DBuser  auth-method
        local all       all     trust
        '';
    };
}